# Словарь с обозначениями граммем, их значениями и примерами
GRAMMEMES_NGRAMS = {
    "NOUN": ("имя существительное", "измерение"),
    "ADJF": ("имя прилагательное (полное)", "хороший"),
    "ADJS": ("имя прилагательное (краткое)", "хорош"),
    "COMP": ("компаратив", "лучше, получше, выше"),
    "VERB": ("глагол (личная форма)", "говорю, говорит, говорил"),
    "INFN": ("глагол (инфинитив)", "говорить, сказать"),
    "PRTF": ("причастие (полное)", "прочитавший, прочитанная"),
    "PRTS": ("причастие (краткое)", "прочитана"),
    "GRND": ("деепричастие", "прочитав, рассказывая"),
    "NUMR": ("числительное", "три, пятьдесят"),
    "ADVB": ("наречие", "длительно"),
    "NPRO": ("местоимение-существительное", "он"),
    "PRED": ("предикатив", "некогда"),
    "PREP": ("предлог", "в"),
    "CONJ": ("союз", "и"),
    "PRCL": ("частица", "бы, же, лишь"),
    "INTJ": ("междометие", "ой"),
    "COMMA": ("запятая", ","),
    "S_END": ("конец предложения", "!?."),
    "S_START": ("начало предложения", "_Пример выделен подчеркиванием"),

}

GRAMMEMES_MORPH_ANNOTATION = {
    "NOUN": ("имя существительное", "измерение"),
    "ADJF": ("имя прилагательное (полное)", "хороший"),
    "ADJS": ("имя прилагательное (краткое)", "хорош"),
    "COMP": ("компаратив", "лучше, получше, выше"),
    "VERB": ("глагол (личная форма)", "говорю, говорит, говорил"),
    "INFN": ("глагол (инфинитив)", "говорить, сказать"),
    "PRTF": ("причастие (полное)", "прочитавший, прочитанная"),
    "PRTS": ("причастие (краткое)", "прочитана"),
    "GRND": ("деепричастие", "прочитав, рассказывая"),
    "NUMR": ("числительное", "три, пятьдесят"),
    "ADVB": ("наречие", "длительно"),
    "NPRO": ("местоимение-существительное", "он"),
    "PRED": ("предикатив", "некогда"),
    "PREP": ("предлог", "в"),
    "CONJ": ("союз", "и"),
    "PRCL": ("частица", "бы, же, лишь"),
    "INTJ": ("междометие", "ой"),
    "PUNCT": ("пунктуационный знак", ".,!?;%)([]—"),
    "NUMBER": ("число", "15, 33"),
    "LATN": ("слово на латинице", "empathy"),
    "UNKNOWN": ("не удалось разобрать", ""),

}
GRAMMEMES_MORPH_ANNOTATION_GRAM_CATEGORIES = {
    "Animacy": {
        "Animate": "одушевленное сущ.",
        "Inanimate": "неодушевленное сущ."
    },
    "Case": {
        "Nominative": "именительный падеж",
        "Genetive": "родительный падеж",
        "Dative": "дательный падеж",
        "Accusative": "винительный падеж",
        "Instrumental": "творительный падеж",
        "Locative": "предложный падеж"
    },
    "Number": {
        "Singular": "единственное число",
        "Plural": "множественное число"
    },
    "Gender": {
        "Masculine": "мужской род",
        "Feminine": "женский род",
        "Neuter": "средний род"
    },
    "Person": {
        "1st": "первое лицо",
        "2nd": "второе лицо",
        "3d": "третье лицо"
    },
    "Aspect": {
        "Perfect": "совершенный вид",
        "Imperfect": "несовершенный вид"
    },
    "Tense": {
        "Present": "настоящее время",
        "Past": "прошедшее время",
        "Future": "будущее время"
    },
    "Transitivity": {
        "Transitive": "переходный глагол",
        "Intransitive": "непереходный глагол"
    },
    "Mood": {
        "Indicative": "изъявительное наклонение",
        "Imperative": "повелительное наклонение"
    },
    "Voice": {
        "Active": "действительный залог",
        "Passive": "страдательный залог"
    }
}

NON_TRANSLATED_DB_NAME = 'auth_texts_corpus.db'
HUMAN_TRANSLATED_DB_NAME = 'ht_texts_corpus'
MACHINE_TRANSLATED_DB_NAME = 'mt_texts_corpus.db'

AUTH_CORPUS_NAME = 'КОРПУС НЕПЕРЕВОДНЫХ ТЕКСТОВ'
HT_CORPUS_NAME = 'КОРПУС РУЧНЫХ ПЕРЕВОДОВ'
MT_CORPUS_NAME = 'КОРПУС МАШИННЫХ ПЕРЕВОДОВ'


RETURN_TO_MENU = "Возврат в главное меню...\n"