abbreviations_with_point = {
    'соавт.': 'соавторы',
    'юж.': 'Южная',
    'т.е.': 'то есть',
    'т. е.': 'то есть',
    'и т.д.': 'и так далее',
    'и т. д.': 'и так далее',
    'др.': 'другое',
    'гг.': 'годы',
    'г.': 'год',
    'стр.': 'страница',
    'см.': 'смотрите',
    'рис.': 'рисунок',
    'ед.': 'единиц',
    'табл.': 'таблица',
    'проф.': 'профессор',
    'акад.': 'академик',
    'доц.': 'доцент',
    'канд.': 'кандидат',
    'напр.': 'например',
    'гл.': 'глава',
    'т.к.': 'так как',
    'т. к.': 'так как',
    'т.п.': 'так подобное',
    'т. п.': 'так подобное',
    'т.н.': 'так называемый',
    'т. н.': 'так называемый',
    'и пр.': 'и прочее',
    'проч.': 'прочее',
    'ср.': 'сравни',
    'ок.': 'около',
    'прим.': 'примечание',
    'ул.': 'улица',
    'пос.': 'поселок',
    'пер.': 'переулок',
    'корп.': 'корпус',
    'пл.': 'площадь',
    'д.': 'деревня',
    'чл.': 'член',
    'корр.': 'корреспондент',
    'зав.': 'заведующий',

    'обл.': 'область',
    'респ.': 'республика',
    'гос.': 'государственный',
    'соц.': 'социальный',

    'и.о.': 'исполняющий обязанности',
    'и. о.': 'исполняющий обязанности',
    'зам.': 'заместитель',

    'к.т.н.': 'кандидат технических наук',
    'к. т. н.': 'кандидат технических наук',
    'д.т.н.': 'доктор технических наук',
    'д. т. н.': 'доктор технических наук',
    'к.ф.н.': 'кандидат филологических наук',
    'к. ф. н.': 'кандидат филологических наук',
    'д.ф.н.': 'доктор филологических наук',
    'д. ф. н.': 'доктор филологических наук',
    'д. м. н.': 'доктор медицинских наук',
    'д.м.н.': 'доктор медицинских наук',
    'к. м. н.': 'кандидат медицинских наук',
    'к.м.н.': 'кандидат медицинских наук',
    'etc.': 'et cetera',

    'мм.': 'миллиметров',
    'тыс.': 'тысяч',
    'млн.': 'миллионов',
    'млрд.': 'миллиардов',
    'кг.': 'килограмм',
    'ч.': 'час',
    'мин.': 'минут',
    'сек.': 'секунд',
    'км.': 'километров',
    'м.': 'метров',
    'св.': 'святой',
    'н.': 'н.',
    'э.': 'э.',
    'З.': 'З.',

    'н.э.': 'нашей эры',
    'н. э.': 'нашей эры',
    'ур. м.': 'уровнем моря',
    'в.д.': 'восточной долготы',
    'в. д.': 'восточной долготы',
    'з.д.': 'западной долготы',
    'з. д.': 'западной долготы',
    'с.ш.': 'северной широты',
    'с. ш.': 'северной широты',
    'ю.ш.': 'южной широты',
    'ю. ш.': 'южной широты',

    'р.': 'река',
    'оз.': 'озеро',
    'в.': 'век',
    'вв.': 'века',
    'экз.': 'экземпляр',
    'руб.': 'рублей',
    'коп.': 'копеек',
    'чл.-корр.': 'член-корреспондент',
    'бывш.': 'бывший',
    'устар.': 'устаревшее',
    'изд.': 'издательство',
    'проц.': 'процент',
    'сокр.': 'сокращение',
    'мн.ч.': 'множественное число',
    'мн. ч.': 'множественное число',
    'ед.ч.': 'единственное число',
    'ед. ч.': 'единственное число',
    'разг.': 'разговорное',
    'греч.': 'греческий',
    'англ.': 'английский',
    'совр.': 'современный',
    'русск.': 'русский',
    'русс.': 'русский',
    'итал.': 'итальянский',
    'лат.': 'латинский',
    'Inc.': 'Inc.',
    'inc.': 'inc.',
    'сем.': 'семейство',
    'В.': 'В.',
    'рт.': 'ртутного',
    'ст.': 'столба',
    'al.': 'al.',
    'vs.': 'vs.',
    'Dr.': 'Dr.',
    'dr.': 'dr.',
    'е.': 'е.',
    'A.A.': 'A.A.',
    'A.': 'A.',
    'т.': 'т.',
    'п.': 'п.',
    'Дж.': 'Дж.',

}


keys_without_point = {key.rstrip('.') for key in abbreviations_with_point.keys()}
sorted_abbrev = sorted(keys_without_point, key=len, reverse=True)

# print(sorted_abbrev)