# -*- coding: utf-8 -*- # Языковая кодировка UTF-8
import re

# Global connection
topic_intro_dm = {'речь пойдет о', 'будет рассмотрено',
                  'будет затронут вопрос о', 'мы рассмотрим',
                  'статья посвящена', 'основное внимание уделено',
                  'требует своего объяснения', 'требуют своего объяснения',
                  'требует объяснения', 'требуют объяснения',
                  'цель данной статьи', 'цель данной работы',
                  'в статье приведены', 'целью работы', 'начнем с',
                  'нуждается в пояснении', 'нуждаются в пояснении',
                  'требует разъяснения', 'требуют разъяснения',
                  'в данной статье мы сосредоточим внимание',
                  'в этой статье я обращусь', 'основная цель статьи '}

info_sequence = {'во-первых', 'во-вторых', 'в-третьих', 'в-четвертых',
                 'в-пятых', 'в-шестых', 'в-седьмых', 'Перво-наперво',
                 'сначала', 'прежде всего', 'наконец', 'сперва рассмотрим',
                 'вначале рассмотрим', 'рассмотрим сначала', 'начнем с',
                 'первым делом', 'в первую очередь', 'в завершение',
                 'в заключение', 'в конце концов', 'начиная с того что',
                 'начиная с того, что', 'начнем с того что',
                 'начнем с того, что', 'с одной стороны', 'с другой стороны',
                 'мы начнем с'}

illustration_dm = {'рис.', 'табл.', 'прил.', 'раздел', 'в таблице видно',
                   'из таблицы видно', 'на диаграмме', 'на рисунке',
                   'данные представлены', 'в таблице приведены примеры',
                   'на рисунке представлен график', 'представлены в',
                   'представлена в', 'представлен в', 'как видно из',
                   'как видно из табл.', 'как видно из таблицы', 'как показано на',
                   'показана на', 'показано на', 'показан на', 'показаны на'}

material_sequence = {'как говорилось выше', 'как уже отмечалось',
                     'как отмечалось ранее', 'как было показано ранее', 'как было показано',
                     'как было сказано выше', 'как уже говорилось',
                     'как говорилось ранее', 'как было сказано ранее',
                     'о чем будет сказано', 'об этом будет сказано',
                     'о чем речь пойдет', 'об этом речь пойдет',
                     'ниже мы рассмотрим', 'ниже будет рассмотрено',
                     'далее мы рассмотрим', 'далее будет рассмотрено',
                     'мы сказали выше', 'как нами уже было сказано',
                     'далее будет дан', 'далее будет дано', 'далее будет дана',
                     'далее будут даны', 'далее будет показан', 'далее будет показано',
                     'далее будет показана', 'далее будут показаны', 'далее будет представлен',
                     'далее будет представлена', 'далее будет представлено',
                     'далее будут представлены', 'будет представлен в', 'будет представлена в',
                     'будет представлено в', 'будут представлены в', 'все вышесказанное',
                     'вышесказанное', 'вышеупомянутый', 'вышеупомянутая', 'вышеупомянутое',
                     'вышеупомянутые', 'выше мы попытались', 'как мы показали', }

conclusion_dm = {'поэтому', 'исходя из ', 'исходя из того что', 'исходя из того, что',
                 'таким образом', 'в результате того, что', 'в результате чего',
                 'следовательно', 'в результате', 'итак', 'в конечном итоге',
                 'согласно этому', 'в целом', 'в связи с тем', ', так что',
                 'в связи с этим', 'в связи с чем', 'отсюда', 'вследствие чего',
                 'значит,', 'в заключение', 'в конце', 'в довершение', 'в силу чего', 'из-за чего',
                 'подводя итог', 'подводя итоги', 'в итоге', 'следует вывод',
                 'можно сделать вывод', 'напрашивается вывод', 'вследствие',
                 'вследствие того что', 'вследствие того, что', 'причину следует искать', 'приходится заключить',
                 'в конечном счёте', 'в конечном счете', 'т.о.,', 'подводя итог', 'на основании этого',
                 'на основании чего', 'отчего', 'потому', 'можно заключить', 'короче говоря',
                 'отсюда следует', 'в заключение'}

# Local connection
intro_new_addit_info = {'причем', 'причём', 'к тому ж', 'к тому же', 'в частности', 'а именно',
                        'вместе с тем', 'в том числе', 'кроме того', 'кроме как', 'кроме того что',
                        'кроме того, что', 'кроме', 'можно добавить,',
                        'более того', 'помимо того', 'вдобавок', 'к слову',
                        'попутно скажем', 'кстати говоря', 'с другой стороны',
                        'в то же время', 'в то время как', 'в т.ч.', 'в т. ч.',
                        'включая', 'а так же', 'в том числе', 'в том числе и', 'да еще',
                        'да еще и', 'да и', 'да и то', 'так же', 'так же как',
                        'так же как и', ', так и', 'тем более что', 'не только', 'а также', }

info_explanation_or_repetition = {'то есть', 'т. е.', 'другими словами', 'из-за', 'из-за того что', 'из-за того, что',
                                  'иначе говоря', 'точнее сказать', 'в том смысле, что',
                                  'точнее говоря', 'проще говоря', 'т.е', 'на том основании что',
                                  'на том основании, что', 'на том основании', 'потому как',
                                  'потому что', 'потому, что', 'ради того чтоб', 'ради того чтобы',
                                  'ради того, чтоб', 'ради того, чтобы', 'чтоб', 'чтобы',
                                  'так сказать', 'поскольку', 'ввиду того что', 'ввиду того, что',
                                  'иными словами', 'в связи с тем, что', 'в связи с тем что',
                                  'в связи с чем', 'в силу того, что', 'в силу того что',
                                  'для того чтоб', 'для того чтобы', 'для того, чтоб',
                                  'для того, чтобы', 'за счет того что', 'затем что', 'затем, что',
                                  'затем чтоб', 'затем чтобы', 'затем, чтоб', 'затем, чтобы', 'по поводу того что',
                                  'по поводу того, что', 'по причине того, что', 'по причине того что',
                                  'по случаю того что', 'по случаю того, что', 'по той причине что',
                                  'по той причине, что', 'по тому поводу, что', 'по тому поводу что',
                                  'под предлогом того, что', 'под предлогом, что', 'под тем предлогом, что',
                                  'при всем том', 'при всем том, что', 'при том что',
                                  'притом', 'причем', 'промеж тем', 'с таким расчетом, чтоб', 'с таким расчетом, чтобы',
                                  'с тем расчетом, чтоб', 'с тем расчетом, чтобы', 'с тем чтоб',
                                  'с тем чтобы', 'с тем, чтоб', 'с тем, чтобы', 'с той целью, чтоб',
                                  'с той целью, чтобы', 'с целью, чтоб', 'с целью, чтобы', 'так как', 'т.к.', 'т. к.',
                                  'повторюсь'
                                  }

contrast_dm = {'а', 'а ведь', 'но', 'однако', 'хотя', 'тем не менее', 'впрочем', 'наоборот',
               'вместе с тем', 'между тем', 'меж тем, как', 'между тем как', 'при этом', 'в отличие от',
               'в противном случае', 'невзирая на то что', 'невзирая на то, что',
               'с одной стороны,', 'с другой стороны,', 'за исключением', 'за исключением',
               'за исключением того что', 'за исключением того, что', 'впрочем',
               'правда,', 'а на самом деле', 'несмотря на', 'в то время как', 'зато',
               'напротив,', 'на деле же', 'вопреки', 'вопреки тому что', 'вопреки тому, что', }

examples_introduction_dm = {'пример', 'например', 'к примеру', 'на примере',
                            'для иллюстрации', 'такие как', 'такой как,',
                            'такая как', 'такого как', 'таким как', 'такими как',
                            'таких как', 'такой как', 'такому как', 'таком как',
                            'такую как', 'такое как', 'ради примера', 'так,',
                            'в частности', 'взять хотя бы', 'скажем',
                            'а именно', 'наподобие', 'приводим примеры', }

# ДМ для репрезентации авторского начала в научном тексте.
author_opinion = {'на наш взгляд', 'по нашему мнению', 'с нашей точки зрения',
                  'как нам кажется', 'думается'}

author_attitude = {'к сожалению', 'к счастью', 'увы', 'на удивление', 'к нашему удивлению', 'жаль'}

high_certainty_modal_words = {
    'конечно',
    'безусловно',
    'естественно',
    'очевидно',
    'несомненно',
    'без сомнений',
    'без сомнения',
    'ясное дело',
    'ясно дело',
    'наверняка',
    'обязательно',
    'точно',
    'определённо',
    'непременно',
    'понятно',
    'неспроста',
    'явно',
    'действительно'
    'разумеется,'
    'на самом деле',
    'не вызывает сомнения',
    'бесспорно',
    'справедливо',
    'ясно, что',
    'убедительно',
    'должно быть',
}

moderate_certainty_modal_words = {
    'возможно',
    'вероятно',
    'кажется',
    'предположительно',
    'похоже',
    'вполне возможно',
    'по всей видимости',
    'видимо',
    'скорее всего',
    'может быть',
    'по всей видимости',
    'как представляется',
    'по-видимому',
    'скорее всего',
    'наверно',
    'наверное',
    'можно полагать',
    'можно предположить',
    'можно допустить',
    'вроде бы',
    'вроде как',
    'не исключено',
    'пожалуй',
    'не исключено',
}

uncertainty_modal_words = {
    'не уверен',
    'не уверна',
    'не уверены',
    'нет уверенности',
    'сомневаюсь',
    'сомневаемся',
    'маловероятно',
    'вряд ли',
    'едва ли',
    'не думаю',
    'не думаем',
    'спорно',
    'не факт',
    'сомнительно',
    'не кажется',
    'неясно',
    'под вопросом',
    'есть сомнения',
    'не совсем понятно',
    'не понятно',
}

# ДМ, регулирующие процесс взаимодействия автора и читателя
call_to_action_dm = {'см.', 'смотри', 'ср.', 'сравни', 'сравните','позвольте', 'обратите внимание'}

joint_action = {'рассмотрим', 'обозначим', 'отметим', 'перейдем к', 'обсудим', 'предположим',
                'обратимся к', 'давайте обратимся к', 'допустим', 'зададимся вопросом', 'взглянем на',}

putting_emphasis_dm = {'следует отметить', 'необходимо отметить',
                       'важно отметить', 'уместно отметить', 'следует заметить',
                       'важным представляется отметить',
                       'необходимым представляется отметить',
                       'следует подчеркнуть', ' необходимо подчеркнуть',
                       'важно подчеркнуть', 'уместно подчеркнуть',
                       'важным представляется подчеркнуть',
                       'необходимым представляется подчеркнуть',
                       'отметим, что', 'подчеркнем, что',
                       'стоит упомянуть', 'важно уточнить',
                       'необходимо уточнить', 'обратим внимание на',
                       'важно обратить внимание на то, что', 'между прочим',
                       'примечательно, что', 'надо сказать', 'необходимо сказать',
                       'нельзя упускать из виду', 'примечательно', 'показательно',
                       'необычно', 'наиболее интересно', 'хотелось бы отметить', }

refer_to_background_knowledge = {'не секрет, что', 'общеизвестно', 'не секрет',
                                 'как известно', 'принято считать',
                                 'известно, что', 'вряд ли кто-нибудь станет спорить',
                                 'всем известно', 'известно всем','считается, что',
                                 'общепризнано, что', 'широко известно, что',
                                 'общеизвестным фактом является', 'как всем известно',
                                 'принято полагать', 'доказанный факт'
                                 }


hybrid_words = {'в основном', 'во многом', 'без малого', 'насколько нам известно,',
                'в идеале', 'не без основания', 'в сущности', 'по существу',
                'по сути', 'в большинстве своем', 'так или иначе',
                'возникает вопрос', 'встает вопрос', 'в подтверждение того, что',
                'как правило', 'неудивительно',}

all_sci_dm = topic_intro_dm | info_sequence | illustration_dm | \
             material_sequence | conclusion_dm | intro_new_addit_info | \
             info_explanation_or_repetition | contrast_dm | \
             examples_introduction_dm | author_opinion | author_attitude |high_certainty_modal_words | \
             moderate_certainty_modal_words | uncertainty_modal_words | call_to_action_dm | joint_action | \
             putting_emphasis_dm | refer_to_background_knowledge

final_sci_dm_list = list(all_sci_dm)
final_sci_dm_list.sort(key=len, reverse=True)
pattern = re.compile(r'\b(?:' + '|'.join(map(re.escape, final_sci_dm_list)) + r')\b')

text = """"
...
"""

if __name__ == "__main__":
    lowercase_text = text.lower()

    found_sci_dms = [m.group() for m in pattern.finditer(lowercase_text)]

    print(found_sci_dms)
    print(len(found_sci_dms))
